<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Interface org.apache.commons.configuration2.builder.BuilderParameters (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.commons.configuration2.builder.BuilderParameters (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/class-use/BuilderParameters.html" target="_top">Frames</a></li>
<li><a href="BuilderParameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.commons.configuration2.builder.BuilderParameters" class="title">Uses of Interface<br>org.apache.commons.configuration2.builder.BuilderParameters</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.fluent">org.apache.commons.configuration2.builder.fluent</a></td>
<td class="colLast">
<div class="block">
 This package defines a fluent API for setting up fully configured configuration
 builders.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> that implement <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></span></code>
<div class="block">
 An implementation of <code>BuilderParameters</code> which handles the parameters
 of a <a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder"><code>ConfigurationBuilder</code></a> common to all concrete
 <code>Configuration</code> implementations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters object for database configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/EventListenerParameters.html" title="class in org.apache.commons.configuration2.builder">EventListenerParameters</a></span></code>
<div class="block">
 A specialized parameters implementation for <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder"><code>BasicConfigurationBuilder</code></a>
 which allows for a convenient event listener initialization.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></span></code>
<div class="block">
 An implementation of <code>BuilderParameters</code> which contains parameters
 related to <code>Configuration</code> implementations that are loaded from files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters object for hierarchical configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters class for INI configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/JndiBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">JndiBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters object for JNDI configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">PropertiesBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameter class for configuring <code>PropertiesConfiguration</code>
 instances.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters class for XML configuration.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> that return <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></code></td>
<td class="colLast"><span class="typeNameLabel">CopyObjectDefaultHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/CopyObjectDefaultHandler.html#getSource--">getSource</a></span>()</code>
<div class="block">Returns the source object of this handler.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">ReloadingFileBasedConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html" title="type parameter in ReloadingFileBasedConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingFileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">FileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="type parameter in BasicConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DefaultParametersManager.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html#initializeParameters-org.apache.commons.configuration2.builder.BuilderParameters-">initializeParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;params)</code>
<div class="block">Initializes the passed in <code>BuilderParameters</code> object by applying
 all matching <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersHandler.html" title="interface in org.apache.commons.configuration2.builder"><code>DefaultParametersHandler</code></a> objects registered at this
 instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasicBuilderParameters.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#merge-org.apache.commons.configuration2.builder.BuilderParameters-">merge</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;p)</code>
<div class="block">Merges this object with the given parameters object.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/CopyObjectDefaultHandler.html#CopyObjectDefaultHandler-org.apache.commons.configuration2.builder.BuilderParameters-">CopyObjectDefaultHandler</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;src)</code>
<div class="block">Creates a new instance of <code>CopyObjectDefaultHandler</code> and
 initializes it with the specified source object.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that implement <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters object for a <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>CombinedConfigurationBuilder</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters object for <a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>MultiFileConfigurationBuilder</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html#getDefinitionBuilderParameters--">getDefinitionBuilderParameters</a></span>()</code>
<div class="block">Returns the parameters object for the definition configuration builder if
 present.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html#getManagedBuilderParameters--">getManagedBuilderParameters</a></span>()</code>
<div class="block">Returns the parameters object for managed configuration builders.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#createParameterObjects--">createParameterObjects</a></span>()</code>
<div class="block">Creates a collection of parameter objects to be used for configuring the
 builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html#getDefaultChildParameters--">getDefaultChildParameters</a></span>()</code>
<div class="block">Returns a collection with default parameter objects for child
 configuration sources.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingCombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingCombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="type parameter in MultiFileConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingCombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html#createXMLDefinitionBuilder-org.apache.commons.configuration2.builder.BuilderParameters-">createXMLDefinitionBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;builderParams)</code>
<div class="block">Creates a default builder for the definition configuration and
 initializes it with a parameters object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createXMLDefinitionBuilder-org.apache.commons.configuration2.builder.BuilderParameters-">createXMLDefinitionBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;builderParams)</code>
<div class="block">Creates a default builder for the definition configuration and
 initializes it with a parameters object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initChildBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">initChildBuilderParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;params)</code>
<div class="block">Initializes a parameters object for a child builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="type parameter in CombinedBuilderProperties">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderProperties.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setDefinitionBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">setDefinitionBuilderParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;params)</code>
<div class="block">Sets the parameters object for the definition configuration builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedBuilderParametersImpl</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html#setDefinitionBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">setDefinitionBuilderParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;params)</code>
<div class="block">Sets the parameters object for the definition configuration builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderProperties.html" title="type parameter in MultiFileBuilderProperties">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileBuilderProperties.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderProperties.html#setManagedBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">setManagedBuilderParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;p)</code>
<div class="block">Sets a parameters object to be used when creating a managed
 configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileBuilderParametersImpl</a></code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html#setManagedBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">setManagedBuilderParameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;p)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with type arguments of type <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#configureBuilder-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">configureBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;&nbsp;builder,
                <a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Configures a newly created builder instance with its initialization
 parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilderProvider.html#createBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">createBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
             <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new, uninitialized instance of the builder class managed by
 this provider.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#createBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">createBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
             <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new, uninitialized instance of the builder class managed by
 this provider.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileExtensionConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Determines the name of the configuration class produced by the builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Determines the name of the configuration class produced by the builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#inheritParentBuilderProperties-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">inheritParentBuilderProperties</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                              <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Passes all parameter objects to the parent
 <code>CombinedConfigurationBuilder</code> so that properties already defined
 for the parent builder can be added.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilderProvider.html#initializeParameterObjects-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">initializeParameterObjects</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                          <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Initializes the parameter objects with data stored in the current bean
 declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#initializeParameterObjects-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">initializeParameterObjects</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                          <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Initializes the parameter objects with data stored in the current bean
 declaration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.fluent">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties of a builder for a combined configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/DatabaseBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">DatabaseBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a database configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/FileBasedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">FileBasedBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties of a configuration of a file-based configuration builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/HierarchicalBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">HierarchicalBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a hierarchical configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/INIBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">INIBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a INI configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/JndiBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">JndiBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a JNDI configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">MultiFileBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties of a builder managing multiple file-based configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a properties configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a></span></code>
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a XML configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/class-use/BuilderParameters.html" target="_top">Frames</a></li>
<li><a href="BuilderParameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
